Package net.shibboleth.idp.profile.context

# Class MultiRelyingPartyContext.RelyingPartyContextIterator

java.lang.Object
net.shibboleth.idp.profile.context.MultiRelyingPartyContext.RelyingPartyContextIterator

All Implemented Interfaces:
  `Iterator<RelyingPartyContext>`

Enclosing class:
  MultiRelyingPartyContext

private class MultiRelyingPartyContext.RelyingPartyContextIterator extends Object implements Iterator<RelyingPartyContext>
Wrapper for an iterator that tracks the current object.

## Field Summary

Fields
Modifier and Type
Field
Description
`private RelyingPartyContext`
`current`
Current marker.
`private final Iterator<RelyingPartyContext>`
`iterator`
Embedded iterator.

## Constructor Summary

Constructors
Constructor
Description
`RelyingPartyContextIterator(MultiRelyingPartyContext ctx)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`RelyingPartyContext`
`next()`
`void`
`remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Field Details

### iterator

@Nonnull private final Iterator<RelyingPartyContext> iterator
Embedded iterator.

### current

@Nullable private RelyingPartyContext current
Current marker.

## Constructor Details

### RelyingPartyContextIterator

public RelyingPartyContextIterator(@Nonnull MultiRelyingPartyContext ctx)
Constructor.

Parameters:
  `ctx` - outer context

## Method Details

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<RelyingPartyContext>`

### next

public RelyingPartyContext next()

Specified by:
  `next` in interface `Iterator<RelyingPartyContext>`

### remove

public void remove()

Specified by:
  `remove` in interface `Iterator<RelyingPartyContext>`